org.eclipse.pde.ui.launcher

## Class EquinoxSettingsTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.pde.ui.launcher.AbstractLauncherTab
    - - org.eclipse.pde.ui.launcher.OSGiSettingsTab
      - - org.eclipse.pde.ui.launcher.EquinoxSettingsTab

All Implemented Interfaces:
  IPrototypeAttributesLabelProvider, ILaunchConfigurationTab, ILaunchConfigurationTab2

Deprecated.
use `OSGiSettingsTab`

    @Deprecated
    public class EquinoxSettingsTab
    extends OSGiSettingsTab

A launch configuration tab that displays and edits the VM install launch configuration attributes.

This class may be instantiated. This class is not intended to be subclassed.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
Constructor and Description
`EquinoxSettingsTab()` Deprecated.

### Method Summary

### Methods inherited from class org.eclipse.pde.ui.launcher.OSGiSettingsTab

`createControl, dispose, getId, getImage, getName, initializeFrom, performApply, setDefaults, updateLaunchConfigurationDialog, validateTab`

### Methods inherited from class org.eclipse.pde.ui.launcher.AbstractLauncherTab

`activated, createStartingSpace, deactivated, isValid, scheduleUpdateJob`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, initializeAttributes, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

### Constructor Detail

#### EquinoxSettingsTab

    public EquinoxSettingsTab()

Deprecated.